<?xml version="1.0" encoding="UTF-8" ?>
<!DOCTYPE mapper
PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN"
"http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.maintain.business.mapper.ErpSettlementMaterialInfoMapper">

    <resultMap type="com.maintain.business.domain.ErpSettlementMaterialInfo" id="ErpSettlementMaterialInfoResult">
        <result property="id" column="id"/>
        <result property="settlementId" column="settlement_id"/>
        <result property="pickingId" column="picking_id"/>
        <result property="pickingInfoId" column="picking_info_id"/>
        <result property="materialTypeId" column="material_type_id"/>
        <result property="materialTypeName" column="material_type_name"/>
        <result property="warehouseId" column="warehouse_id"/>
        <result property="warehouseName" column="warehouse_name"/>
        <result property="warehouseLocationId" column="warehouse_location_id"/>
        <result property="warehouseLocationType" column="warehouse_location_type"/>
        <result property="vendorId" column="vendor_id"/>
        <result property="vendorName" column="vendor_name"/>
        <result property="materialId" column="material_id"/>
        <result property="materialCode" column="material_code"/>
        <result property="materialName" column="material_name"/>
        <result property="materialSpecifications" column="material_specifications"/>
        <result property="materialUnit" column="material_unit"/>
        <result property="materialWarrantyPeriod" column="material_warranty_period"/>
        <result property="number" column="number"/>
        <result property="price" column="price"/>
        <result property="money" column="money"/>
        <result property="state" column="state"/>
        <result property="createBy" column="create_by"/>
        <result property="createTime" column="create_time"/>
        <result property="updateBy" column="update_by"/>
        <result property="updateTime" column="update_time"/>
    </resultMap>


</mapper>
